MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023946Community[OCCT] OCCT:Meshpublic2013-05-07 08:242013-12-19 13:55
Reporterheyuqi 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0023946: Uninitialized variable aNewEdge3 used.
DescriptionAttached please find the patch for this issue.

I think the new link should be assigned to aNewEdge3, not aNewEdge1.
TagsNo tags attached.
Test case numberNot needed
Attached Filespatch file icon BRepMesh_Delaun.cxx.patch (512 bytes) 2013-05-07 08:24

- Relationships

-  Notes
(0024317)
abv (manager)
2013-05-07 12:04

The fix is pushed to branch CR23946, please review
(0024319)
pdn (developer)
2013-05-07 12:39

I wonder about such misprints. warning check rulez
(0024479)
mkv (tester)
2013-05-23 11:00

Dear BugMaster,

Branch CR23946 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 3eeaa541222d20a7cc43c466bf6cc71b5483aa9d

Number of compiler warnings:

occt component :
Linux: 2 (2 on master)
Windows: 11 (11 on master)

products component :
Linux: 0 (0 on master)
Windows: 64 (64 on master)

Regressions:
No regressions

Improvements:
No improvements

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 365966272 / 365872296
Total CPU difference: 41571.67000000109 / 45787.80000000135

Testing on Windows:
Total MEMORY difference: 418101244 / 420619968
Total CPU difference: 31981.90625 / 30709.921875

There are not differences in images found by testdiff.

- Related Changesets
occt: master f404c5c2
Timestamp: 2013-05-07 08:04:21
Author: abv
Committer: abv
Details ] Diff ]
0023946: Uninitialized variable aNewEdge3 used

Code for creation of extra edges in BRepMesh (special case) corrected
mod - src/BRepMesh/BRepMesh_Delaun.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-05-07 08:24 heyuqi New Issue
2013-05-07 08:24 heyuqi Assigned To => oan
2013-05-07 08:24 heyuqi File Added: BRepMesh_Delaun.cxx.patch
2013-05-07 12:04 abv Note Added: 0024317
2013-05-07 12:04 abv Assigned To oan => pdn
2013-05-07 12:04 abv Status new => resolved
2013-05-07 12:39 pdn Note Added: 0024319
2013-05-07 12:39 pdn Status resolved => reviewed
2013-05-23 11:00 mkv Note Added: 0024479
2013-05-23 11:00 mkv Test case number => Not needed
2013-05-23 11:00 mkv Assigned To pdn => bugmaster
2013-05-23 11:00 mkv Status reviewed => tested
2013-05-23 12:39 bugmaster Target Version => 6.7.0
2013-05-24 13:06 abv Changeset attached => occt master f404c5c2
2013-05-24 13:06 abv Assigned To bugmaster => abv
2013-05-24 13:06 abv Status tested => verified
2013-05-24 13:06 abv Resolution open => fixed
2013-12-19 13:53 bugmaster Status verified => closed
2013-12-19 13:55 bugmaster Fixed in Version => 6.7.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker